Loading...
Searching...
No Matches
pappso::specglob::PeptideSpectrum Class Reference

`#include <peptidespectrum.h>`

Inheritance diagram for pappso::specglob::PeptideSpectrum:

## Public Member Functions

| PeptideSpectrum (const pappso::PeptideSp peptide_sp)
| PeptideSpectrum (const PeptideSpectrum &other)
virtual | ~PeptideSpectrum ()
std::vector< double > | getMassList () const
pappso::PeptideSp | getPeptideSp () const

## Private Attributes

pappso::PeptideSp | msp_peptide

## Detailed Description

Todo
  write docs

Definition at line 62 of file peptidespectrum.h.

## Constructor & Destructor Documentation

## PeptideSpectrum() [1/2]

pappso::specglob::PeptideSpectrum::PeptideSpectrum | ( | const pappso::PeptideSp | peptide_sp | ) |

Default constructor

Definition at line 46 of file peptidespectrum.cpp.

: std::vector<PeptideSpectrumDataPoint>()
{
if(peptide_sp.get()->size() < 2)
{
throw pappso::PappsoException(
QObject::tr("PeptideSpectrum::PeptideSpectrum failed : peptide %1 is too small")
.arg(peptide_sp.get()->toProForma()));
}
Enums::PeptideIon ion_type = Enums::PeptideIon::b;
msp_peptide = peptide_sp;
std::list<Enums::PeptideIon> ion_list;
ion_list.push_back(ion_type);
pappso::PeptideFragmentIonListBase fragmented_ion_list(msp_peptide, ion_list);
std::list<pappso::PeptideFragmentIonSp> peptide_ion_list =
fragmented_ion_list.getPeptideFragmentIonSp(Enums::PeptideIon::b);
push_back({pappso::MHPLUS, 0});
// qDebug() << pappso::PeptideRawFragmentMasses::getDeltaMass(ion_type);
for(auto &peptide_ion : peptide_ion_list)
{
push_back({peptide_ion.get()->getMz(1), 0});
}
push_back({(msp_peptide.get()->getMz(1) - pappso::MASSH2O +
pappso::PeptideRawFragmentMasses::getDeltaMass(ion_type)),
0});
for(std::size_t i = 1; i < size(); i++)
{
at(i).diff_mz = (at(i).mz - at(i - 1).mz);
}
}
pappso::PeptideRawFragmentMasses::getDeltaMass
static pappso_double getDeltaMass(Enums::PeptideIon ion_type)
Definition peptiderawfragmentmasses.cpp:55
pappso::specglob::PeptideSpectrum::msp_peptide
pappso::PeptideSp msp_peptide
Definition peptidespectrum.h:87
pappso::Enums::PeptideIon
PeptideIon
Enums::PeptideIon enum defines all types of ions (Nter or Cter).
Definition types.h:286
pappso::Enums::PeptideIon::b
@ b
Nter acylium ions.
Definition types.h:287
pappso::MHPLUS
const pappso_double MHPLUS(1.007276466879)
pappso::MASSH2O
const pappso_double MASSH2O((MPROTIUM *2)+MASSOXYGEN)

References pappso::Enums::b, pappso::PeptideRawFragmentMasses::getDeltaMass(), pappso::PeptideFragmentIonListBase::getPeptideFragmentIonSp(), pappso::MASSH2O(), pappso::MHPLUS(), and msp_peptide.

Referenced by PeptideSpectrum().

## PeptideSpectrum() [2/2]

pappso::specglob::PeptideSpectrum::PeptideSpectrum | ( | const PeptideSpectrum & | other | ) |

Copy constructor

Parameters

  other | TODO

Definition at line 82 of file peptidespectrum.cpp.

: std::vector<PeptideSpectrumDataPoint>(other)
{
msp_peptide = other.msp_peptide;
}

References PeptideSpectrum(), and msp_peptide.

## ~PeptideSpectrum()

pappso::specglob::PeptideSpectrum::~PeptideSpectrum | ( |  | ) |

virtual

Destructor

Definition at line 88 of file peptidespectrum.cpp.

{
}

## Member Function Documentation

## getMassList()

std::vector< double > pappso::specglob::PeptideSpectrum::getMassList | ( |  | ) | const

Definition at line 93 of file peptidespectrum.cpp.

{
std::vector<double> mass_list;
for(const PeptideSpectrumDataPoint &n : *this)
{
mass_list.push_back(n.mz);
};
return mass_list;
}

References pappso::specglob::PeptideSpectrumDataPoint::mz.

## getPeptideSp()

pappso::PeptideSp pappso::specglob::PeptideSpectrum::getPeptideSp | ( |  | ) | const

Definition at line 105 of file peptidespectrum.cpp.

{
return msp_peptide;
}

References msp_peptide.

Referenced by pappso::specglob::SpectralAlignment::fillMatricesWithScores().

## Member Data Documentation

## msp_peptide

pappso::PeptideSp pappso::specglob::PeptideSpectrum::msp_peptide

private

Definition at line 87 of file peptidespectrum.h.

Referenced by PeptideSpectrum(), PeptideSpectrum(), and getPeptideSp().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/specglob/peptidespectrum.h
- pappsomspp/core/processing/specglob/peptidespectrum.cpp